FROM alpine

ADD https://github.com/wercker/stern/releases/download/1.11.0/stern_linux_amd64 /usr/local/bin/stern
ADD https://storage.googleapis.com/kubernetes-release/release/v1.19.0/bin/linux/amd64/kubectl /usr/local/bin/kubectl

## install helm
ENV HELM_VERSION 2.16.10
RUN apk  add curl git \
    && curl -f https://storage.googleapis.com/kubernetes-helm/helm-v${HELM_VERSION}-linux-amd64.tar.gz  | tar xzv \
    && mv linux-amd64/helm /usr/local/bin/  \
    && mv linux-amd64/tiller /usr/local/bin/ \
    && rm -rf linux-amd64 \
    && chmod 755 /usr/local/bin/stern /usr/local/bin/kubectl /usr/local/bin/helm